## smsclient 2.0.8z-10

=== config/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include Makefile.config

# -------------------------------------------------------------------- 

all: 
	cd src ; $(MAKE)

clean: 
	cd src ; $(MAKE) clean

distclean: 
	cd src ; $(MAKE) clean
	$(RM) Makefile.config
	$(RM) Makefile.drivers
	$(RM) Makefile.modemlib
	$(RM) .configured
	$(RM) Makefile

install: 
	cd src  ; $(MAKE) install
	cd sms  ; $(MAKE) install
	cd docs ; $(MAKE) install

uninstall: 
	cd src  ; $(MAKE) uninstall
	cd sms  ; $(MAKE) uninstall
	cd docs ; $(MAKE) uninstall

# --------------------------------------------------------------------

=== sms/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id: Makefile,v 5.1 1998/02/01 07:11:32 root Exp root $
# -------------------------------------------------------------------- 

include ../Makefile.config

# -------------------------------------------------------------------- 

all:

install: 
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(DESTDIR)$(MLIBDIR)/services
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(DESTDIR)$(SPOOLDIR)/smsclient
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(DESTDIR)$(SPOOLDIR)/smsclient/errors
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(DESTDIR)$(SPOOLDIR)/smsclient/locks
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(DESTDIR)$(SPOOLDIR)/smsclient/incoming
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(DESTDIR)$(SPOOLDIR)/smsclient/named_pipes
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(DESTDIR)$(SPOOLDIR)/smsclient/services
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(DESTDIR)$(MSERVICEDIR)/scripts

	( cd services ;\
	  for service in * ; do \
		  $(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 644 $$service $(DESTDIR)$(MLIBDIR)/services; \
		  $(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(DESTDIR)$(SPOOLDIR)/smsclient/services/$$service ; \
		  $(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(DESTDIR)$(SPOOLDIR)/smsclient/errors/$$service ; \
	  done )

	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 644 scripts/email $(DESTDIR)$(MSERVICEDIR)/scripts
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 644 sms_config $(DESTDIR)$(MSERVICEDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 644 sms_addressbook $(DESTDIR)$(MSERVICEDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 644 sms_modem $(DESTDIR)$(MSERVICEDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 644 sms_services $(DESTDIR)$(MSERVICEDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 644 sms_daemons $(DESTDIR)$(MSERVICEDIR)
	
uninstall:
	$(RM) $(DESTDIR)$(MLIBDIR)/services/*
	$(RM) $(DESTDIR)$(MSERVICEDIR)/sms_config
	$(RM) $(DESTDIR)$(MSERVICEDIR)/sms_addressbook
	$(RM) $(DESTDIR)$(MSERVICEDIR)/sms_modem
	$(RM) $(DESTDIR)$(MSERVICEDIR)/sms_services
	$(RM) $(DESTDIR)$(MSERVICEDIR)/sms_daemons
	$(RM) $(DESTDIR)$(MSERVICEDIR)/scripts/*
	
# --------------------------------------------------------------------

=== src/client/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id: Makefile,v 5.1 1998/02/01 07:10:39 root Exp root $
# -------------------------------------------------------------------- 

include ../../Makefile.config
include ../../Makefile.modemlib

# --------------------------------------------------------------------

all: ../../bin/sms_client ../../bin/sms_address 

install: ../../bin/sms_client ../../bin/sms_address
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(BINDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 ../../bin/sms_client $(BINDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 ../../bin/sms_address $(BINDIR)

uninstall:
	$(RM) $(BINDIR)/sms_client
	$(RM) $(BINDIR)/sms_address
	
clean:
	$(RM) *.o *.bak core 
	$(RM) ../../bin/sms_client 
	$(RM) ../../bin/sms_address 
	$(RM) version.h

# --------------------------------------------------------------------

INCLUDE=-I.. -I../driver

# --------------------------------------------------------------------
	
driver_lib:
	cd ../driver ; $(MAKE)

parser_lib:
	cd ../parser ; $(MAKE)

lock:
	cd ../lock ; $(MAKE) lock.a

comms:
	cd ../comms ; $(MAKE) comms.a

resource:
	cd ../resource ; $(MAKE) resource.a

# --------------------------------------------------------------------

version.h: ../../.version
	echo "#define MVERSION \"`awk '{ print $1 }' ../../.version`\"" >version.h

# --------------------------------------------------------------------

sms_client.o: sms_client.c expand.h sms_list.h ../driver/driver.h ../logfile/logfile.h ../error.h ../../Makefile.config version.h
	$(CC) $(CFLAGS) -c sms_client.c -DMSERVICEDIR="\"$(MSERVICEDIR)\"" -DMLOGLEVEL=3 -DMLOGFILE="\"$(MLOGFILE)\"" $(INCLUDE)

sms_address.o: sms_address.c expand.h sms_list.h ../../Makefile.config version.h
	$(CC) $(CFLAGS) -c sms_address.c -DMSERVICEDIR="\"$(MSERVICEDIR)\"" -DMLOGLEVEL=3 -DMLOGFILE="\"$(MLOGFILE)\"" $(INCLUDE)

sms_list.o: sms_list.c sms_list.h ../error.h ../logfile/logfile.h
	$(CC) $(CFLAGS) -c sms_list.c $(INCLUDE)

expand.o: ../logfile/logfile.h expand.h expand.c ../error.h sms_list.h ../driver/driver.h ../../Makefile.config
	$(CC) $(CFLAGS) -c expand.c -DMLOCALSMSRC="\"$(MLOCALSMSRC)\"" -DMGLOBALSMSRC="\"$(MGLOBALSMSRC)\"" $(INCLUDE)

# --------------------------------------------------------------------

../../bin/sms_client: sms_client.o expand.o ../logfile/logfile.o sms_list.o driver_lib lock ../common/common.o parser_lib comms resource ../../Makefile.modemlib
	$(CC) $(CFLAGS) -o ../../bin/sms_client sms_client.o expand.o $(MOBJS) ../logfile/logfile.o sms_list.o ../driver/sms_driver.a $(MLIBS) ../common/common.o $(XTRALIBS) ../parser/gs_parser.a ../comms/comms.a ../lock/lock.a ../resource/resource.a $(MLIBS)

../../bin/sms_address: sms_address.o expand.o sms_list.o driver_lib ../common/common.o parser_lib lock comms ../../Makefile.modemlib
	$(CC) $(CFLAGS) -o ../../bin/sms_address sms_address.o expand.o sms_list.o ../logfile/logfile.o $(MOBJS) ../driver/sms_driver.a $(MLIBS) ../common/common.o $(XTRALIBS) ../parser/gs_parser.a ../comms/comms.a ../lock/lock.a ../resource/resource.a $(MLIBS)

# --------------------------------------------------------------------

../logfile/logfile.o: ../logfile/logfile.c ../logfile/logfile.h
	cd ../logfile ; $(MAKE) logfile.o

../common/common.o: ../common/common.c ../common/common.h
	cd ../common ; $(MAKE) common.o

# --------------------------------------------------------------------

=== src/common/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id: Makefile,v 5.1 1998/02/01 07:10:39 root Exp root $
# -------------------------------------------------------------------- 

include ../../Makefile.config

# --------------------------------------------------------------------

all: common.o

clean:
	$(RM) *.o

# --------------------------------------------------------------------

common.o: common.c common.h
	$(CC) $(CFLAGS) -I.. -c common.c

# --------------------------------------------------------------------

=== src/lock/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include ../../Makefile.config

# --------------------------------------------------------------------

all: lock.a

clean:
	$(RM) *.o *.bak lock.a

# --------------------------------------------------------------------

INCLUDE = -I.. -I../parser

lock.a: lock.o
	$(RM) lock.a
	$(AR) lock.a lock.o
	$(RANLIB) lock.a

lock.o: lock.c ../common/common.h ../logfile/logfile.h lock.h
	$(CC) $(CFLAGS) -c lock.c $(INCLUDE)

# --------------------------------------------------------------------

../logfile/logfile.o: ../logfile/logfile.c ../logfile/logfile.h
	cd ../logfile ; $(MAKE) logfile.o

../common/common.o: ../common/common.c ../common/common.h
	cd ../common ; $(MAKE) common.o

# --------------------------------------------------------------------

=== src/parser/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include ../../Makefile.config

# --------------------------------------------------------------------

all: gs_parser.a

test: test/test_parser

clean:
	$(RM) gs_parser.a  
	$(RM) *.o 
	$(RM) *.bak
	$(RM) test/test_parser

# --------------------------------------------------------------------

INCLUDE = -I..

gs_parser.a: gs_list.o gs_parser.o gs_token.o gs_translate.o gs_io.o
	$(AR) gs_parser.a gs_list.o gs_parser.o gs_token.o gs_translate.o gs_io.o
	$(RANLIB) gs_parser.a

gs_list.o: gs_list.c gs_token.h ../common/common.h
	$(CC) -g  $(CFLAGS) $(INCLUDE) -c gs_list.c

gs_io.o: gs_io.c gs_io.h ../common/common.h
	$(CC) -g  $(CFLAGS) $(INCLUDE) -c gs_io.c

gs_parser.o: gs_parser.c gs_token.h ../common/common.h gs_parser.h
	$(CC) -g $(CFLAGS) $(INCLUDE) -c gs_parser.c

gs_token.o: gs_token.c gs_token.h ../common/common.h gs_list.h
	$(CC) -g $(CFLAGS) $(INCLUDE) -c gs_token.c

gs_translate.o: gs_translate.c gs_token.h ../common/common.h gs_list.h
	$(CC) -g $(CFLAGS) $(INCLUDE) -c gs_translate.c

test/test_parser: gs_parser.a test/test_parser.c ../logfile/logfile.o ../common/common.o
	$(CC) -g $(CFLAGS) $(INCLUDE) test/test_parser.c gs_parser.a -o test/test_parser ../common/common.o ../logfile/logfile.o -DMLOGLEVEL=3 -DMLOGFILE="\"test_log\""

# --------------------------------------------------------------------

../logfile/logfile.o: ../logfile/logfile.c ../logfile/logfile.h
	cd ../logfile ; $(MAKE) logfile.o

../common/common.o: ../common/common.c ../common/common.h
	cd ../common ; $(MAKE) common.o

# --------------------------------------------------------------------

=== src/queue/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include ../../Makefile.config
include ../../Makefile.modemlib

# --------------------------------------------------------------------

all: ../../bin/queue

install: ../../bin/queue 
	$(INSTALL) -m 755 -d $(BINDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 ../../bin/queue $(BINDIR)

uninstall:
	$(RM) $(BINDIR)/queue

test: test_queue test_write

clean:
	$(RM) *.o *.bak test_queue test_write ../../bin/queue

# --------------------------------------------------------------------

INCLUDE = -I.. -I../parser

# --------------------------------------------------------------------

gs_parser:
	cd ../parser ; $(MAKE) gs_parser.a

gs_api:
	cd ../parser/gs_api ; $(MAKE) gs_api.a

resource:
	cd ../resource ; $(MAKE) resource.a

driver:
	cd ../driver ; $(MAKE)

lock:
	cd ../lock ; $(MAKE) lock.a

comms:
	cd ../comms ; $(MAKE) comms.a

# --------------------------------------------------------------------

version.h: ../../.version
	echo "#define MVERSION \"`awk '{ print $1 }' ../../.version`\"" >version.h

# --------------------------------------------------------------------

npipe.o: npipe.c ../common/common.h ../logfile/logfile.h npipe.h
	$(CC) $(CFLAGS) -c npipe.c $(INCLUDE)

process.o: process.c ../common/common.h ../logfile/logfile.h process.h
	$(CC) $(CFLAGS) -c process.c $(INCLUDE)

fread.o: fread.c 
	$(CC) $(CFLAGS) -c fread.c $(INCLUDE)

test_queue.o: test_queue.c ../common/common.h ../logfile/logfile.h npipe.h
	$(CC) $(CFLAGS) -c test_queue.c $(INCLUDE)

queue.o: queue.c ../common/common.h ../logfile/logfile.h npipe.h  version.h
	$(CC) $(CFLAGS) -c queue.c $(INCLUDE) -DMSERVICEDIR="\"$(MSERVICEDIR)\"" -DMSMSDLOGLEVEL=3 -DMSMSDLOGFILE="\"$(MSMSDLOGFILE)\""

test_write.o: test_write.c ../common/common.h ../logfile/logfile.h
	$(CC) $(CFLAGS) -c test_write.c $(INCLUDE)

# --------------------------------------------------------------------

../../bin/queue: queue.o fread.o npipe.o process.o ../logfile/logfile.o ../common/common.o gs_parser gs_api resource lock driver comms ../../Makefile.modemlib
	$(CC) $(CFLAGS) queue.o fread.o npipe.o process.o -o ../../bin/queue ../logfile/logfile.o ../common/common.o ../resource/resource.a ../parser/gs_parser.a ../parser/gs_api/gs_api.a  ../lock/lock.a ../driver/sms_driver.a ../comms/comms.a $(MLIBS) $(XTRALIBS)

# --------------------------------------------------------------------

test_queue: test_queue.o npipe.o process.o ../common/common.h ../logfile/logfile.h npipe.h process.h
	$(CC) $(CFLAGS) test_queue.o npipe.o process.o -o test_queue 
	
test_write: test_write.o ../common/common.h ../logfile/logfile.h npipe.h
	$(CC) $(CFLAGS) test_write.o -o test_write
	
# --------------------------------------------------------------------

../logfile/logfile.o: ../logfile/logfile.c ../logfile/logfile.h
	cd ../logfile ; $(MAKE) logfile.o

../common/common.o: ../common/common.c ../common/common.h
	cd ../common ; $(MAKE) common.o

# --------------------------------------------------------------------

=== src/resource/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include ../../Makefile.config

# --------------------------------------------------------------------

all: resource.a

clean:
	$(RM) *.o *.bak resource.a test_resource

test: test_resource

# --------------------------------------------------------------------

gs_parser:
	cd ../parser ; $(MAKE) gs_parser.a

# --------------------------------------------------------------------

INCLUDE = -I.. -I../parser

resource.a: resource.o
	$(RM) resource.a
	$(AR) resource.a resource.o
	$(RANLIB) resource.a

resource.o: resource.c ../common/common.h ../logfile/logfile.h resource.h
	$(CC) $(CFLAGS) -c resource.c $(INCLUDE)

test_resource.o: test_resource.c 
	$(CC) $(CFLAGS) -c test_resource.c $(INCLUDE) -DMLOGLEVEL=3 -DMLOGFILE="\"test_log\""

test_resource: test_resource.o resource.a gs_parser ../common/common.o ../logfile/logfile.o
	$(CC) $(CFLAGS) test_resource.o -o test_resource resource.a ../parser/gs_parser.a ../common/common.o ../logfile/logfile.o

# --------------------------------------------------------------------

../logfile/logfile.o: ../logfile/logfile.c ../logfile/logfile.h
	cd ../logfile ; $(MAKE) logfile.o

../common/common.o: ../common/common.c ../common/common.h
	cd ../common ; $(MAKE) common.o

# --------------------------------------------------------------------

=== src/server/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include ../../Makefile.config

# --------------------------------------------------------------------

all: ../../bin/smsd ../../bin/snppd

install: ../../bin/smsd ../../bin/snppd
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(BINDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 ../../bin/smsd $(BINDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 ../../bin/snppd $(BINDIR)

uninstall:
	$(RM) $(BINDIR)/smsd
	$(RM) $(BINDIR)/snppd

clean:
	$(RM) *.o *.bak ../../bin/smsd ../../bin/snppd

# --------------------------------------------------------------------

INCLUDE = -I..

gs_parser:
	cd ../parser ; $(MAKE) gs_parser.a

lock:
	cd ../lock ; $(MAKE) lock.a

resource:
	cd ../resource ; $(MAKE) resource.a

# --------------------------------------------------------------------

version.h: ../../.version
	echo "#define MVERSION \"`awk '{ print $1 }' ../../.version`\"" >version.h

# --------------------------------------------------------------------

server.o: server.c ../common/common.h ../logfile/logfile.h server.h
	$(CC) $(CFLAGS) -c server.c $(INCLUDE)

snppd.o: snppd.c ../logfile/logfile.h server.h ../common/common.h ../../Makefile.config version.h
	$(CC) $(CFLAGS) -c snppd.c -DMSNPPDLOGLEVEL=3 -DMSNPPDLOGFILE="\"$(MSNPPDLOGFILE)\"" $(INCLUDE)

smsd.o: smsd.c ../logfile/logfile.h server.h ../common/common.h ../../Makefile.config ../resource/resource.h version.h
	$(CC) $(CFLAGS) -c smsd.c -DMSERVICEDIR="\"$(MSERVICEDIR)\"" -DMSMSDLOGLEVEL=3 -DMSMSDLOGFILE="\"$(MSMSDLOGFILE)\"" $(INCLUDE) 

../../bin/smsd: smsd.o server.o ../logfile/logfile.o ../common/common.o resource gs_parser lock
	$(CC) $(CFLAGS) -o ../../bin/smsd smsd.o server.o ../logfile/logfile.o ../common/common.o $(XTRALIBS) ../resource/resource.a ../lock/lock.a ../parser/gs_parser.a 

../../bin/snppd: snppd.o server.o ../logfile/logfile.o ../common/common.o lock
	$(CC) $(CFLAGS) -o ../../bin/snppd snppd.o server.o ../logfile/logfile.o ../common/common.o ../lock/lock.a $(XTRALIBS)

# --------------------------------------------------------------------

../logfile/logfile.o: ../logfile/logfile.c ../logfile/logfile.h
	cd ../logfile ; $(MAKE) logfile.o

../common/common.o: ../common/common.c ../common/common.h
	cd ../common ; $(MAKE) common.o

# --------------------------------------------------------------------

=== src/terminal/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include ../../Makefile.config

# --------------------------------------------------------------------

XINC  = -I../

# --------------------------------------------------------------------

all: terminal client server snoop mdup

clean:
	rm -f *.o
	rm -f terminal client server snoop mdup

# --------------------------------------------------------------------

comms:
	cd ../comms ; $(MAKE) comms.a

lock:
	cd ../lock ; $(MAKE) lock.a

resource:
	cd ../resource ; $(MAKE) resource.a

parser_lib:
	cd ../parser ; $(MAKE)

# --------------------------------------------------------------------

terminal: terminal.o terminal_io.o logfile_io.o ../common/common.o
	$(CC) $(CFLAGS) terminal.o terminal_io.o logfile_io.o -o terminal ../common/common.o

client: client.o client_lib.o terminal_io.o logfile_io.o ../common/common.o
	$(CC) $(CFLAGS) client.o client_lib.o terminal_io.o logfile_io.o -o client $(XTRALIBS) ../common/common.o

server: server.o server_lib.o terminal_io.o logfile_io.o ../common/common.o
	$(CC) $(CFLAGS) server.o server_lib.o terminal_io.o logfile_io.o -o server $(XTRALIBS) ../common/common.o

snoop: snoop.o server_lib.o client_lib.o terminal_io.o logfile_io.o ../common/common.o
	$(CC) $(CFLAGS) snoop.o server_lib.o client_lib.o terminal_io.o logfile_io.o -o snoop $(XTRALIBS) ../common/common.o

# --------------------------------------------------------------------

mdup: mdup.o comms resource parser_lib lock ../common/common.o ../logfile/logfile.o  terminal_io.o logfile_io.o 
	$(CC) $(CFLAGS) mdup.o -o mdup ../comms/comms.a ../common/common.o ../logfile/logfile.o ../lock/lock.a ../resource/resource.a ../parser/gs_parser.a terminal_io.o logfile_io.o

# --------------------------------------------------------------------

terminal.o: terminal.c terminal_io.h logfile_io.h
	$(CC) $(CFLAGS) $(XINC) -c terminal.c

client.o: client.c terminal_io.h logfile_io.h client_lib.h
	$(CC) $(CFLAGS) $(XINC) -c client.c

server.o: server.c terminal_io.h logfile_io.h server_lib.h
	$(CC) $(CFLAGS) $(XINC) -c server.c

snoop.o: snoop.c terminal_io.h logfile_io.h server_lib.h client_lib.h
	$(CC) $(CFLAGS) $(XINC) -c snoop.c

client_lib.o: client_lib.c client_lib.h
	$(CC) $(CFLAGS) $(XINC) -c client_lib.c

server_lib.o: server_lib.c server_lib.h
	$(CC) $(CFLAGS) $(XINC) -c server_lib.c

terminal_io.o: terminal_io.c terminal_io.h logfile_io.h
	$(CC) $(CFLAGS) $(XINC) -c terminal_io.c

logfile_io.o: logfile_io.c logfile_io.h
	$(CC) $(CFLAGS) $(XINC) -c logfile_io.c

mdup.o: mdup.c
	$(CC) $(CFLAGS) $(XINC) -c mdup.c

# --------------------------------------------------------------------

../logfile/logfile.o: ../logfile/logfile.c ../logfile/logfile.h
	cd ../logfile ; $(MAKE) logfile.o

../common/common.o: ../common/common.c ../common/common.h
	cd ../common ; $(MAKE) common.o

=== src/parser/gs_api/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include ../../../Makefile.config

# --------------------------------------------------------------------

all: gs_api.a

test: test/test_api
	

clean:
	rm -f *.o 
	rm -f gs_api.a
	rm -f core log
	rm -f test/test_api test/test_log test/myfile.save

# --------------------------------------------------------------------

INCLUDE    = -I.. -I../..

# --------------------------------------------------------------------

../../logfile/logfile.o: ../../logfile/logfile.c ../../logfile/logfile.h
	cd ../../logfile ; $(MAKE) logfile.o

../../common/common.o: ../../common/common.c ../../common/common.h
	cd ../../common ; $(MAKE) common.o

gs_parser: 
	cd ../ ; $(MAKE) gs_parser.a

# --------------------------------------------------------------------

gs_api.a: gs_create.o gs_load.o gs_save.o gs_type.o gs_getvar.o gs_getlist.o gs_getdict.o  
	$(AR) gs_api.a gs_create.o gs_load.o gs_save.o gs_type.o gs_getvar.o gs_getlist.o gs_getdict.o
	$(RANLIB) gs_api.a

test/test_api: test/test_api.c gs_api.a ../../logfile/logfile.o ../../common/common.o gs_parser
	$(CC) $(CFLAGS) $(INCLUDE) test/test_api.c -o test/test_api gs_api.a ../../logfile/logfile.o ../../common/common.o ../gs_parser.a -DLOGLEVEL=3 -DLOGFILE="\"test_log\"" 

gs_create.o: gs_create.c gs_api.h
	$(CC) $(CFLAGS) $(INCLUDE) -c gs_create.c

gs_load.o: gs_load.c gs_api.h
	$(CC) $(CFLAGS) $(INCLUDE) -c gs_load.c

gs_save.o: gs_save.c gs_api.h
	$(CC) $(CFLAGS) $(INCLUDE) -c gs_save.c

gs_type.o: gs_type.c gs_api.h
	$(CC) $(CFLAGS) $(INCLUDE) -c gs_type.c

gs_getvar.o: gs_getvar.c gs_api.h
	$(CC) $(CFLAGS) $(INCLUDE) -c gs_getvar.c

gs_getlist.o: gs_getlist.c gs_api.h
	$(CC) $(CFLAGS) $(INCLUDE) -c gs_getlist.c

gs_getdict.o: gs_getdict.c gs_api.h
	$(CC) $(CFLAGS) $(INCLUDE) -c gs_getdict.c

# --------------------------------------------------------------------

=== debian/changelog ===
smsclient (2.0.8z-10) unstable; urgency=low

  * Remove debconf usage; all versions from sarge onwards haven't put service
    files in /etc/smsclient/services so no need of the debconf note any more.
    (closes: #414295)
  * Improve UCP parsing tolerance. Patch from Martin Schmid. (closes: #451486)
  * Stop Makefile install target from stripping binaries. (closes: #438028)
  * Lintian cleanups
    * Don't ignore "make clean" errors.
    * Clean up copyright file.
    * Bump Standards-Version to 3.7.3.0 (no further changes).

 -- Jonathan McDowell <noodles@earth.li>  Mon, 05 May 2008 14:48:47 +0100

=== debian/control ===
Source: smsclient
Section: comm
Priority: optional
Maintainer: Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper (>= 4.1.16)
Standards-Version: 3.7.3.0

Package: smsclient
Architecture: any
Depends: ${shlibs:Depends},${misc:Depends}
Suggests:
Description: A program for sending short messages (SM / SMS)
 smsclient is a tool for sending short messages (SM - often false
 named SMS). SM can be sent to mobile phones. Additional some
 paging systems are supported by this tool. smsclient supports
 the common protocols UCP, TAP and some other. Out of the box there
 is preconfigured support for many local services, but smsclient
 can be easily extended to support other systems.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.
# Customized for smsclient by Michael Holzt.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	rm -f .configured
	./configure
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	rm -f .configured
	./configure
	$(MAKE) clean
	rm -f Makefile
	rm -f Makefile.config

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=`pwd`/debian/smsclient

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installchangelogs -a Changelog
	dh_installexamples contrib
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installman docs/sms_address.1 docs/sms_client.1
	dh_link
	dh_strip
	dh_compress -A
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
